/*
Web app styles for SearchLOINC, et al
*/

:root {
    --ui-height: 6rem;
    --filters-width: 16rem;
    --card-width: 19rem;
}

/* Keep dash and check digit of LOINC codes on same line */
.code {
    word-break: keep-all;
    white-space: nowrap;
}

a.lhc {
    background-color: var(--clr-darken);
    color: var(--clr-text-inverse);
    border-radius: .125rem;
    white-space: nowrap;
    font-size: 85%;
    padding: .03rem .19rem;
}

a.lhc:hover {
    background-color: var(--clr-action);
    color: var(--clr-action-inverse);
}

.ui-container .toolbar i {
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
}

.ui-container .toolbar #search-perpage i {
    display: inline-block;
    margin-right: .25rem;
    color: var(--clr-darken);
    font-size: 80%;
}

.sub-page {
    width: 80%;
    max-width: 67.5rem;
    margin: calc(var(--ui-height) + var(--ln-header-height) + 1.5rem) auto 1.5rem auto;
}

.ui-container {
    background-color: var(--clr-gray1);
    line-height: 1rem;
    padding: .75rem 1rem;
    position: fixed;
    width: calc(100% - var(--ln-menu-width));
    top: var(--ln-header-height);
    height: var(--ui-height);
    display: flex;
    flex-direction: column;
    justify-content: center;
    z-index: 100;
}

.ui-container form {
    display: grid;
    grid-template-columns: 8rem 5rem minmax(6rem, 1fr) 7rem;
    gap: .25rem;
}

.ui-container select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    cursor: pointer;
}

.ui-container form select {
    --arrow-down-background: var(--ln-menu-down) no-repeat right .5rem center/1em 1em;
    border-radius: var(--radius-small);
    background: var(--ln-menu-down) no-repeat right .5rem center/1em 1em;
    background-color: var(--clr-action);
    color: var(--clr-action-inverse);
    border: 0;
    padding-left: .5rem;
}

.ui-container form select:disabled {
    /* background-color: var(--clr-action-disabled) !important; */
    opacity: .5;
    cursor: not-allowed;
}

.ui-container select#lang {
    width: 100%;
    height: 100%;
    /* padding-left: 5rem; */
    /* background-size: 1.75rem;
    background-position: .5rem center; */
    /* font-size: 0; */
    /* color: transparent; */
    background-color: var(--clr-action);
}

/*
.ui-container .lang select.en_US {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fus.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.de_AT {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fat.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.de_DE {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fde.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.el_GR {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fgr.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.es_AR {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Far.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.es_MX {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fmx.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.es_ES {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fes.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.et_EE {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fee.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.fr_BE {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fbe.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.fr_CA {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fca.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.fr_FR {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Ffr.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.it_IT {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fit.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.ko_KR {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fkr.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.nl_NL {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fnl.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.pl_PL {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fpl.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.pt_BR {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fbr.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.ru_RU {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fru.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.tr_TR {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Ftr.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.uk_UA {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fua.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}

.ui-container .lang select.zh_CN {
    background: url(./?mortyurl=https%3A%2F%2Floinc.org%2Fassets%2Fimages%2Fflags%2F4x3%2Fcn.svg) no-repeat .5rem center/1.75rem, var(--arrow-down-background);
}
*/

.ui-container form select:focus,
.ui-container form input:focus {
    outline: 1px solid var(--clr-text);
}

.ui-container input[type=search] {
    width: 100%;
    padding: .25rem;
    font-size: 1.1rem;
    border: 1px solid var(--clr-darken);
    appearance: textfield;
    -webkit-appearance: textfield;
    border-radius: 0;
    -webkit-border-radius: 0;
}

.ui-container input[type=submit] {
    border: 0;
    font-size: 1.1rem;
    border-radius: var(--radius-medium);
    background-color: var(--clr-action);
    color: var(--clr-action-inverse);
    cursor: pointer;
    padding: .25rem;
}

.ui-container .toolbar {
    display: flex;
    align-items: stretch;
    margin-top: .5rem;
    gap: .5rem;
    flex-wrap: wrap;
}

.ui-container .toolbar>* {
    display: flex;
    align-items: center;
    justify-content: center;
}

.ui-container .toolbar>.info {
    justify-content: right;
}

.ui-container .toolbar a,
.ui-container .toolbar .has-submenu,
.ui-container .toolbar button {
    color: var(--clr-text);
    cursor: pointer;
}

.ui-container .toolbar img {
    height: 1.75rem;
    border: 1px solid var(--clr-darken);
}

.ui-container .toolbar>a[aria-disabled=true],
.ui-container .toolbar>a[aria-disabled=true] i,
.ui-container .toolbar>div[aria-disabled=true],
.toolbar div.has-submenu[aria-disabled=true] i {
    color: var(--clr-disabled);
    border-color: var(--clr-disabled);
    cursor: not-allowed;
}

/* .toolbar button#search-view .material-symbols-outlined {
    font-variation-settings: 'FILL' 0;
} */

.ui-container .toolbar>div {
    position: relative;
    border-radius: var(--radius-small);
}

#submissions .ui-container .toolbar>div>div {
    position: relative;
}

.ui-container .toolbar>.info>span,
.ui-container .toolbar>div>div>span {
    position: absolute;
    top: -1.1rem;
    left: 0;
    font-size: 0.7rem;
    color: var(--clr-gray3);
    text-transform: uppercase;
}

.ui-container .toolbar>.info>span {
    top: -0.2rem;
}

.ui-container .toolbar>a.special-use {
    color: var(--clr-special-use);
}

.ui-container .toolbar div#num-results,
.ui-container .toolbar div#paging {
    text-align: right;
    min-width: 6rem;
    /* align-self: flex-end; */
    align-items: flex-end;
    padding-right: .5rem;
}

.ui-container .toolbar div#num-results,
.ui-container .toolbar div#paging {
    position: relative;
}

#submissions-wrapper .ui-container .toolbar .divider {
    margin-right: .5rem;
}

#submissions-wrapper .ui-container .toolbar .filter-label {
    font-size: 0;
    width: 0;
    height: 0;
    overflow: visible;
}

#submissions-wrapper .ui-container .toolbar .filter-label::after {
    display: block;
    content: '\f0b0';
    font: var(--fa-font-sharp-solid);
    font-size: 1rem;
    color: var(--clr-text);
    position: absolute;
    bottom: .1rem;
    left: 0;
}

.ui-container .toolbar .divider {
    width: 1px;
    height: 2rem;
    background-color: var(--clr-darken);
}

.toolbar .material-symbols-outlined {
    font-size: 130%;
    font-variation-settings: 'FILL' 1,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24
}

.toolbar #language img {
    height: 1.1rem;
}

.toolbar #language {
    padding-top: .26rem;
    padding-bottom: .26rem;
}

.toolbar>a,
.toolbar div.has-submenu {
    padding: .25rem .35rem;
    border: 1px solid var(--clr-darken);
    border-radius: var(--radius-small);
}

/* .toolbar a i.fa-solid {
    padding: .38rem .55rem;
} */

.toolbar button,
.toolbar a.paginate_button {
    border: 1px solid var(--clr-darken);
    border-radius: var(--radius-small);
    background-color: transparent;
    padding: .3rem .35rem;
    font-size: 1rem;
    display: inline-flex;
    align-items: center;
}

.toolbar a.paginate_button {
    padding: .4rem .35rem;
}

.toolbar a.paginate_button.previous {
    margin-right: .5rem;
}

.toolbar select {
    font-size: 1rem;
    background-color: transparent;
    padding: .3rem 1rem .3rem .35rem;
}

/* .toolbar i.arrow-down::after,
.toolbar button.arrow-down::after {
    font: var(--fa-font-sharp-solid);
    content: '\f107';
    font-size: 1rem;
    position: relative;
    bottom: .1rem;
}
*/
.toolbar i.arrow-down,
.toolbar button.arrow-down {
    background: var(--ln-menu-down-black) no-repeat right .5rem center/1em 1em;
    padding-right: 2rem;
}

.toolbar button#pp::before {
    font: var(--fa-font-solid);
    font-size: 80%;
    font-weight: 900;
    content: '\f15b';
    padding-left: .125rem;
    padding-right: .25rem;
}

.toolbar button.arrow-down::after {
    top: .03rem;
    padding-left: .25rem;
}

.toolbar .has-submenu {
    position: relative;
}

.toolbar button.has-submenu,
.toolbar>div[role=button] {
    padding-right: 1.5rem;
    background: var(--ln-menu-down-black) no-repeat right .5rem center/.75em .75em;
}

.toolbar .has-submenu.opened,
.toolbar .filters-toggle.opened,
.toolbar .filters-toggle.active {
    background-color: var(--clr-gray2);
}

.toolbar .filters-toggle.active {
    position: relative;
}

.toolbar .filters-toggle.active::after {
    background-color: var(--clr-primary);
    color: var(--clr-text-inverse);
    content: attr(data-count);
    position: absolute;
    right: -.25rem;
    bottom: -.25rem;
    font-size: 60%;
    border-radius: var(--radius-medium);
    padding: 0 2px;
    min-width: .75rem;
    max-width: 1rem;
    text-align: center;
    overflow: hidden;
}

.toolbar .submenu {
    display: none;
    position: absolute;
    top: calc(2rem + 2px);
    left: 0;
    background-color: var(--clr-gray2);
    border: 1px solid var(--clr-darken);
    border-radius: var(--radius-small);
    z-index: 900;
    min-width: 12rem;
    font-size: 80%;
    line-height: 1.15;
    margin: 0;
    text-align: left;
    overflow-y: scroll;
}

.toolbar .submenu>* {
    border: 0;
    border-radius: 0;
}

.toolbar #history .submenu {
    min-width: 18rem;
}

.toolbar .submenu>* {
    cursor: default;
}



.toolbar #history .submenu :not(header) a {
    display: grid;
    grid-template-columns: 1rem 1rem 1fr 2rem;
    grid-column-gap: .35rem;
    justify-content: end;
    padding-left: .5rem;
    border-radius: 0;
}

.toolbar #history .submenu img {
    width: 1rem;
    height: auto;
    position: relative;
    top: .0625rem;
}

.toolbar #history .submenu span {
    padding: 0 3px;
    border-radius: var(--radius-medium);
    font-size: 80%;
}

.toolbar .submenu header {
    border-radius: var(--radius-small) var(--radius-small) 0 0;
}

.toolbar .submenu header a.button {
    display: inline;
    border-radius: var(--radius-medium);
    padding: .25rem .35rem;
    font-size: 90%;
}

.toolbar .submenu a span {
    background-color: var(--clr-primary);
    color: var(--clr-text-inverse);
}

.toolbar .submenu p a {
    text-decoration: none !important;
}

.toolbar .submenu header,
.filter-list header,
.filter-list footer {
    background-color: var(--clr-gray3);
    color: var(--clr-text-inverse);
    padding: .35rem;
}

.filter-list footer {
    /* padding-bottom: 1rem; */
    text-align: right;
}

.filter-list .bottom {
    background-color: #333;
    padding: .35rem;
    padding-bottom: 1rem;
    color: var(--clr-text-inverse);
}

.toolbar .submenu a {
    display: block;
    width: 100%;
    padding: .35rem .5rem .35rem 2rem;
    border-bottom: 1px solid var(--clr-darken);
}

.toolbar .submenu .footnote {
    /* border-top: 1px solid var(--clr-darken); */
    padding-left: .35rem;
    font-style: italic;
    color: var(--clr-gray3);
}

.toolbar .submenu .rule {
    border-top: 1px solid var(--clr-darken);
}

.toolbar .submenu a:hover {
    background-color: var(--clr-menu-hover);
}

.toolbar .submenu a.selected::before {
    content: "\f00c";
    font: var(--fa-font-sharp-solid);
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    margin-left: -1.25rem;
    width: 1.25rem;
}

/* .toolbar .submenu p.loading {
    padding: .35rem;
} */

.toolbar .submenu p {
    padding: 0;
    margin: 0;
}

.toolbar .submenu a:last-of-type {
    border-bottom: 0;
}

.toolbar .has-submenu.opened .submenu {
    display: block;
}

#filters {
    position: fixed;
    width: var(--filters-width);
    height: 100%;
    background-color: var(--clr-gray2);
    transition: all 400ms;
    /* padding: 10px 10px 40px 10px; */
    overflow-y: scroll;
    overflow-x: none;
    z-index: 89;
}

#filters.closed {
    left: calc(var(--filters-width) * -1);
}

#filters.opened {
    left: var(--ln-menu-width);
}

caption.disclaimer::before {
    display: inline-block;
    /* margin-right: 5px; */
    width: 1.25rem;
    content: '\f071';
    font: var(--fa-font-solid);
    color: var(--clr-error);
    /* background-color: var(--clr-background); */
    margin-left: -1.25rem;
}

caption.disclaimer {
    text-align: left;
    /* display: inline-block; */
    /* max-width: 60rem; */
    position: sticky;
    padding: .25rem;
    padding-left: 2rem;
    background-color: var(--clr-caution-background);
    top: calc(var(--ln-header-height) + var(--ui-height));
    left: 0;
    /* margin-left: -1rem; */
    /* width: calc(100% + 1rem); */
    /* border-radius: 0 0 var(--radius-medium) 0; */
    /* height: var(--ui-height); */
    /* top: 9.5rem; */
    /* left: 7.5rem; */
    z-index: 1;
}

.en_US caption.disclaimer {
    display: none !important;
}

table#results {
    margin-top: calc(var(--ln-header-height) + var(--ui-height));
    position: relative;
}

td.num,
div.num {
    text-align: right;
}

td.nobr {
    white-space: nowrap;
}

table#results.grid thead {
    background-color: var(--clr-background);
    /* position: fixed; */
    position: sticky;
    /* position: -webkit-sticky; */
    top: calc(var(--ln-header-height) + var(--ui-height));
    z-index: 0;
}

table#results.grid thead tr:nth-of-type(2) th {
    padding: 0;
    text-align: left;
    height: 10px;
    vertical-align: top;
    border-bottom: 1px solid var(--clr-gray3);
}

table#results.grid thead tr:nth-of-type(2) th.small {
    text-align: center;
}

table#results.grid thead th,
table#results.grid td {
    padding: 6px 5px 6px 5px;
}

table#results.grid td {
    border-bottom: 1px dotted var(--clr-darken);
}

table#results.grid td.sorted,
table#submissions td.sorting_1 {
    background: rgba(0, 0, 0, .03);
}

table#results.grid thead tr:first-of-type th:first-of-type {
    padding-right: 15px !important;
    text-align: left;
    /* If using sticky table header, must unset following */
    position: relative;
    width: 25px;
}

table#results.grid thead tr:first-of-type th.vertical span {
    display: inline-block;
    transform: rotate(-90deg);
    position: absolute;
    bottom: 15px;
    left: -5px;
}

table#results.grid tr:not(.selected):hover>td {
    background-color: rgba(0, 0, 0, .05);
}

table#results.grid tr:not(.selected):hover>td.sorted,
table#submissions tr:not(.selected):hover>td.sorting_1 {
    background-color: rgba(0, 0, 0, .1);
}

table#results tbody tr.selected>td.sorted,
table#submissions tbody tr.selected>td.sorting_1 {
    background: var(--clr-highlight-darken);
}

table#results.grid tr.is-loinc:not(.selected):hover>td {
    background-color: var(--clr-is-loinc-hover);
}

table#results.grid td {
    vertical-align: top;
}

table#results.grid tr:last-child td {
    border-bottom: 0 !important;
}

table#results.grid th {
    text-align: left;
    font-weight: normal;
    color: var(--clr-gray3);
}

table#results.grid td.small {
    text-align: center;
}

table#results tbody tr.selected>td {
    background-color: var(--clr-highlight);
}

table#results tbody input[type=checkbox] {
    display: none !important;
}

table#results thead tr:first-of-type th {
    line-height: 1.1;
    border-bottom: 1px solid var(--clr-gray3);
    vertical-align: bottom;
    text-align: left;
    background-color: var(--clr-background);
    font-weight: normal;
    padding-top: 15px;
    padding-bottom: 3px;
    height: 55px;
    position: relative;
}

table#results thead tr:nth-of-type(2) th a {
    display: inline-block;
    width: 100%;
    padding: 0 5px;
}

table#results thead tr:nth-of-type(2) th.sorted a {
    background-color: rgba(0, 0, 0, .2);
}

table#results thead tr:first-of-type th.sorted,
table#submissions thead tr:first-of-type th.sorting_asc,
table#submissions thead tr:first-of-type th.sorting_desc {
    /* background-color: rgba(0, 0, 0, .05); */
    background: linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgba(0, 0, 0, 0.05) 100%), var(--clr-background);
    color: var(--clr-text);
}

table#results thead tr:nth-of-type(2) th a:hover {
    background-color: var(--clr-action);
    color: var(--clr-text-inverse);
}

tr.detail-row {
    border-top: 1px dashed var(--clr-darken);
    border-bottom: 1px dashed var(--clr-darken);
    background-color: var(--clr-gray1);
}

table#results tr.detail-row table {
    margin: 0;
}

table#results tr.detail-row td td {
    padding: 0.1875rem;
}

table#results tr.detail-row td td:first-of-type {
    padding-left: 0;
    white-space: nowrap;
}

table#results.card tr.detail-row {
    display: none !important;
}

table#results.grid.empty td {
    vertical-align: middle !important;
    text-align: center;
    font-size: 2.5rem;
    height: 40vh;
}

table#results.card.empty td {
    font-size: 1.5rem;
}

.grid-hidden {
    display: none;
}

table#results.card tbody {
    padding-top: 12px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--card-width), 1fr));
    grid-auto-rows: auto;
    grid-gap: .5rem;
}

table#results.card tbody tr {
    border: 1px solid var(--clr-gray3);
    border-radius: 4px;
    overflow: hidden;
    padding: 5px;
    margin: 0;
    /* position: relative; */
    background-color: var(--clr-background);
}

table#results.card tbody tr.selected {
    background-color: var(--clr-highlight);
}

table#results.card tr:hover {
    background-color: rgba(0, 0, 0, .05);
}

table#results.card td {
    display: block;
    /* border: none !important; */
    /* padding: 1px 5px !important; */
}

.parts.card tbody tr {}

.answerlists.card tbody tr {}

.groups.card tbody tr {}

table#results.card td.status,
table#results.card td.primary_id,
table#results.card a.desc-icon {
    font-size: 1.5rem;
}

table#results.card td.num {
    text-align: left;
}

table#results.card tbody tr {
    /* Safari wants display: block */
    display: block;
    position: relative;
    /* overflow: visible; */
}

table#results.card td.status {
    position: absolute !important;
    top: 5px;
    right: 5px;
    /* padding: 0 !important; */
}

table#results.card a.desc-icon {
    display: block;
    position: absolute !important;
    right: 5px;
    bottom: 5px;
    padding: 5px;
    /* color: var(--clr-action);
    cursor: pointer; */
}

table#results.card td {
    padding: 5px;
}

table#results.loincs.card td.descriptions p {
    display: none;
}


/* 
table#results.loincs.card td.descriptions:not(:empty):after {
    content: '';
    display: block;
    width: 25px;
    height: 50px;
    background-color: var(--clr-action);
    transform: rotate(45deg);
    position: absolute;
    bottom: -25px;
    right: -15px;
} */

table#results.loincs.card tr.card-active td.descriptions:not(:empty):after {
    display: none;
}

.card thead,
.card .card-hidden,
.card tr.child {
    display: none !important;
}

.detail-control {
    color: var(--clr-action);
    cursor: pointer;
    margin-left: 3px;
}

#results.card tbody tr.card-active {
    border-color: var(--clr-background);
    background-color: rgba(0, 0, 0, .15);
    /* transition: all 400ms; */
}

#results.card tbody tr.card-active td:not(.card-back) {
    display: none !important;
}


/*
.card tbody tr.card-active td.card-back[data-label="Description"]:before {
    display: none !important;
}
*/

#results.card tbody tr.card-active td.card-back p {
    display: block !important;
    margin-top: 0;
    font-size: 1.15em;
    font-style: italic;
    line-height: 1.25;
}

#grid_length:after {
    content: '.';
    display: block;
    font-size: 0;
}


/*
#filter-area {
    margin-top: 10px;
    text-align: left;
}
*/

div.filter-list strong {
    font-weight: normal;
    display: block;
    padding-bottom: 10px;
    font-size: 12px;
    line-height: 1.1;
    text-transform: uppercase;
}

.filter-list header {
    position: sticky;
    z-index: 100;
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.entry-content .filter-list {
    font-size: 80%;
    line-height: 1.1;
    padding-bottom: 6.25rem;
}

.filter-list button {
    border: 0;
    border-radius: var(--radius-medium);
    padding: .25rem .75rem;
    background-color: rgba(0, 0, 0, .1);
    color: var(--clr-text);
    cursor: not-allowed;
}

.filter-list button:focus {
    border: none;
    outline: none;
}

.filter-list button.active {
    background-color: var(--clr-action);
    color: var(--clr-text-inverse);
    border: 1px solid var(--clr-darken);
}

.filter-list button.active:hover {
    cursor: pointer;
    background-color: var(--clr-action-hover);
}

.entry-content .filter-list ul {
    margin: 0;
    padding: 0;
}

/* .entry-content .filter-list>ul {
    padding-top: 1.5rem;
} */

.entry-content .filter-list li li {
    padding: .25rem .75rem;
}

.entry-content .filter-list li {
    font-weight: bold;
    display: block;
    padding: 0;
    margin: 0;
}

.filter-list li.closed ul {
    display: none;
}

.filter-list li.closed {
    margin-bottom: 10px;
}

.filter-list li>span {
    display: block;
    margin-top: 1rem;
    margin-left: .75rem;
}

.filter-list li>span:before {
    content: '\f077';
    font-size: 110%;
    font: var(--fa-font-sharp-solid);
    display: inline-block;
    color: var(--clr-action);
    margin-right: 3px;
}

.filter-list li.closed>a {
    display: none;
}

.filter-list li.opened>a {
    display: inline-block;
    margin-right: 5px;
    text-transform: uppercase;
    font-weight: normal;
    font-size: .8em;
}

.filter-list li.opened>a:first-of-type {
    margin-left: .75rem;
}

.filter-list li.closed>span::before {
    content: '\f078';
}

.entry-content .filter-list li li {
    font-weight: normal;
    position: relative;
}

.filter-list li li:before {
    display: none;
}

.filter-list li li a {
    width: 90%;
    text-overflow: ellipsis;
    display: inline-block;
}

#filters .filter-list li li input[type=checkbox] {
    position: absolute !important;
    height: 1px;
    width: 1px;
    clip: rect(1px 1px 1px 1px);
    /* IE6, IE7 */
    clip: rect(1px, 1px, 1px, 1px);
}

.filter-list li li input[type=checkbox]+label::before {
    content: '';
    position: absolute;
    display: inline-block;
    /* margin-right: .25rem; */
    width: .75rem;
    height: .75rem;
    top: .25rem;
    left: .75rem;
    background: var(--clr-text-inverse);
    border: 1px solid var(--clr-darken);
}

.filter-list li li input[type=checkbox]:checked+label::before {
    background: var(--clr-primary);
    /* border: none; */
}


/* checkmark */

#filters input[type=checkbox]:checked+label::after {
    content: '';
    position: absolute;
    top: .35rem;
    left: .75rem;
    border-left: 3px solid var(--clr-text-inverse);
    border-bottom: 3px solid var(--clr-text-inverse);
    height: .25rem;
    width: .70rem;
    transform: rotate(-45deg);
}

#filters:focus {
    /* outline: none; */
}

.entry-content .filter-list li li label {
    width: 85%;
    margin-left: .5rem;
    padding-left: 1rem;
    text-overflow: ellipsis;
    display: inline-block;
    word-break: break-all;
}

table#history {
    width: 100%;
    font-size: .9em;
    line-height: 1.3;
}

table#history th,
table#history td {
    padding: 10px;
}

table#history th {
    font-weight: normal;
    color: var(--clr-gray3);
    border-bottom: 1px solid var(--clr-gray3);
    padding-bottom: 5px;
}

table#history tr td {
    border-bottom: 1px dotted var(--clr-darken);
}

table#history tr:hover td {
    background-color: var(--clr-gray1);
}

table#history tr:last-child td {
    border-bottom: 0;
}

table#history td.small {
    text-align: center;
}

table#history td span {
    color: var(--clr-gray3);
}

table#history td.flag img {
    border: 1px solid var(--clr-gray2);
    width: 2rem;
    margin: 0;
}

.page-template-page-template-search-loinc .home section {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 1fr;
    gap: 4rem;
    margin-top: 1.5rem;
}

#home #features {
    margin-top: 40px;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 1fr;
    gap: 1em;
}

#home #features li {
    margin: 0 0 10px 0;
}

#home #features h3 {
    margin: 0 40px 20px 0;
    color: var(--clr-primary);
    border-bottom: 2px solid var(--clr-primary);
}

#home #features li ul {
    margin-left: 20px;
    margin-top: 5px;
}

footer.results {
    margin: 1rem;
    font-size: 85%;
}

footer.results i.material-symbols-outlined {
    font-size: 90%;
}

/* Don't allow text selection */

aside li span,
.filter-list li li label,
i.detail-control {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.filter-list li li label:hover {
    cursor: pointer;
}

.filter-list li li {
    padding-left: .75rem;
    margin-left: -.75rem;
}

.filter-list li li:hover {
    background-color: var(--clr-menu-hover);
}

.filter-list li li span {
    position: absolute;
    right: .75rem;
    bottom: .25rem;
    color: var(--clr-text);
}

.filter-list>ul {
    padding-top: .75rem;
    padding-bottom: 1.25rem;
}

/* #filters .filter-list>ul {
    line-height: 1.1;
} */

/* .entry-content .filter-list ul ul {
    margin-top: 1rem;
} */

.filter-list li:hover {
    cursor: pointer;
}

button.text-only {
    color: var(--clr-text-inverse);
    background-color: transparent;
    padding: 0;
    cursor: pointer;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}